Skip to content

Webhook: Payment Update
Webhook

Request

A webhook that is called when a payment is updated. This can be used to update your internal systems, or to trigger other actions.

To use this webhook, you need to pass in the URL when creating the payment.

Bodyapplication/jsonrequired
idstring(Id)required
paymentStatusstring(PayflowLegacyStatus)required
Enum:"DRAFT""OPENED""INITIATED""PENDING""SUCCESS""REJECTED""UNKNOWN"
paymentMethodPaymentTypes (string) or nullrequired
Any of:
string(PaymentTypes)
Enum:"CARD""CARD_TERMINAL""CASH""A2A""WALLET""INSTALLMENT""PARTPAYMENT""INVOICE""REVOLVING_CREDIT"
installmentUpdateLegacyInstallmentUpdate (object) or null
Any of:
POST
legacy-payment-update
Payload
{ "id": "string", "paymentStatus": "DRAFT", "paymentMethod": "CARD", "installmentUpdate": { "installmentId": "string", "installmentStatus": "DRAFT" } }

Responses

Successful Response

Bodyapplication/json
any
Response
// No response example